View Issue Details

IDProjectCategoryView StatusLast Update
13753Bug reports[All Projects] Survey takingpublic2018-06-15 15:43
ReporterDenisChenu Assigned Tomarkusfluer  
PriorityimmediateSeveritycrash 
Status closedResolutionfixed 
Product Version3.9.x 
Target VersionFixed in Version3.9.x 
Summary13753: 500 error in surveys listing
Description

When go to survey listing : 500 error

Steps To Reproduce

Go to survey listing

Additional Information

https://github.com/LimeSurvey/LimeSurvey/commit/0d01e69d46149a0f0c912ef5cdf48739d4108470#r29286068

$_SESSION['LEMsingleton'] must be used ONLY $LEM =& LimeExpressionManager::singleton(); : already care of exist or not + reset if survey id update or language updated

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.9.0 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-06-09 12:03

developer  

Erreur interne du serveur.html (1,160 bytes)
DenisChenu

DenisChenu

2018-06-11 11:05

developer   ~48040

Last edited: 2018-06-11 11:06

View 2 revisions

Same with OptOut (and OptIn)



Internal Server Error.html (1,113 bytes)
LouisGac

LouisGac

2018-06-11 12:29

manager   ~48042

use a private windows to reproduce

c_schmitz

c_schmitz

2018-06-15 15:43

administrator   ~48173

Version 3.12.1 Build 180616 released

Issue History

Date Modified Username Field Change
2018-06-09 12:03 DenisChenu New Issue
2018-06-09 12:03 DenisChenu Status new => assigned
2018-06-09 12:03 DenisChenu Assigned To => markusfluer
2018-06-09 12:03 DenisChenu File Added: Erreur interne du serveur.html
2018-06-09 12:04 DenisChenu Priority none => immediate
2018-06-09 12:04 DenisChenu Severity minor => crash
2018-06-09 12:04 DenisChenu Reproducibility have not tried => always
2018-06-11 11:05 DenisChenu File Added: Internal Server Error.html
2018-06-11 11:05 DenisChenu Note Added: 48040
2018-06-11 11:06 DenisChenu Note Edited: 48040 View Revisions
2018-06-11 12:23 LouisGac Assigned To markusfluer => LouisGac
2018-06-11 12:29 LouisGac Note Added: 48042
2018-06-11 12:29 LouisGac Assigned To LouisGac => markusfluer
2018-06-11 15:32 markusfluer Status assigned => resolved
2018-06-11 15:32 markusfluer Resolution open => fixed
2018-06-11 15:32 markusfluer Fixed in Version => 3.9.x
2018-06-15 15:43 c_schmitz Note Added: 48173
2018-06-15 15:43 c_schmitz Status resolved => closed